LSattr_html_select_list : make getPossibleValues() optionally and statically callable
[ldapsaisie.git] / buildDocExports.sh
index 84c398b..3a787e5 100755 (executable)
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
 
 ROOT_DIR=$( cd `dirname $0`; pwd )
 LOCAL_CFG_DIR=$ROOT_DIR/config.local
@@ -46,6 +46,22 @@ then
 fi
 
 
+# EPUB
+if [ -n "$EPUB" ]
+then
+    echo -en "\t- EPUB : "
+    # EPUB
+    cp -f $DOC_DIR/exports/epub/LdapSaisie.epub $EXPORT_DOC_DIR/LdapSaisie.epub
+    if [ $? -ne 0 ]
+    then
+        echo -e "\n-> Error"
+        ERROR=1
+    else
+        echo Ok
+    fi
+fi
+
+
 # ALL-IN-ONE
 if [ -n "$ALL_IN_ONE" ]
 then
@@ -140,6 +156,8 @@ then
     echo -n "-> Create last-update file : "
     echo "Last update :" > $LAST_UPDATE_FILE
     date >> $LAST_UPDATE_FILE
+    cd $ROOT_DIR
+    git log|head -n 1 >> $LAST_UPDATE_FILE
     echo >> $LAST_UPDATE_FILE
     echo done.
 fi